## javax.xml.rpc
Class ParameterMode

    java.lang.Object
      javax.xml.rpc.ParameterMode

public class ParameterMode
extends java.lang.Object

The `javax.xml.rpc.ParameterMode` is a type-safe enumeration for parameter mode. This class is used in the `Call`API to specify parameter passing modes.

Version:
  1.0

Field Summary
`static ParameterMode` `IN` The mode is 'IN'.
`static ParameterMode` `INOUT` The mode is 'INOUT'.
`static ParameterMode` `OUT` The mode is 'OUT'.

Method Summary
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IN

    public static final ParameterMode IN

  The mode is 'IN'.

### INOUT

    public static final ParameterMode INOUT

  The mode is 'INOUT'.

### OUT

    public static final ParameterMode OUT

  The mode is 'OUT'.

Method Detail

### toString

    public java.lang.String toString()

Copyright © 2005 Apache Web Services Project. All Rights Reserved.